Spinrun Docs
REST APIRuns

Start an agent test run

Spends workspace credits. Only the user who started a run can read it.

POST/api/build/agents/{ref}/test

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth access token whose grant carries Build authorization.

In: header

Path Parameters

ref*string

Agent or workflow id or slug.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Start an agent test run.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/build/agents/string/test" \  -H "Content-Type: application/json" \  -d '{    "prompt": "string"  }'
{  "data": {    "accepted": true,    "run_id": "string",    "status": "string"  }}